REM MNGNODE.REG  should contain the destination path for the product
REM First param should be the location of the 1.4 CD (required)
REM Second is the location of the PERC security patch (optional)
REM.
REM To Install other hardware insturmentation, 
REM comment out the goto for the corresponding component 
REM (see IHV TOOLS section in this file)

set INSTALL_DRIVE=%1
set PERC_DRIVE=%2

if "%INSTALL_DRIVE%"=="" goto end

REM Create Registry Entries
REGEDIT /S MNGNODE.REG

REM sDCClean - Checking for Upgrade
cd %INSTALL_DRIVE%\dcwipe
%INSTALL_DRIVE%\dcwipe\dcwipe.exe -a -n -s

REM sCommon - Dell Common Components
cd %INSTALL_DRIVE%\domapps\common
%INSTALL_DRIVE%\domapps\common\_instpgm.exe /B

REM sDMI32 - Intel DMI 2.0 SP
cd %INSTALL_DRIVE%\domapps\dmi32
%INSTALL_DRIVE%\domapps\dmi32\_instpgm.exe /B

REM sDMI32C - Intel DMI 2.0 Client
cd %INSTALL_DRIVE%\domapps\dmi32c
%INSTALL_DRIVE%\domapps\dmi32c\_instpgm.exe /B

REM sServCon - Dell OpenManage Server Console
cd %INSTALL_DRIVE%\domapps\servcon
%INSTALL_DRIVE%\domapps\servcon\_instpgm.exe /B

REM sNNPort - NobleNet Portmapper
cd %INSTALL_DRIVE%\domapps\nnmapper
%INSTALL_DRIVE%\domapps\nnmapper\_instpgm.exe /B

REM sDellHIPNT - Dell HIP for Windows NT
cd %INSTALL_DRIVE%\domapps\hipnt
%INSTALL_DRIVE%\domapps\hipnt\_instpgm.exe /B

REM sStop1 - Stopping NobleNet Portmapper
cd %INSTALL_DRIVE%
%INSTALL_DRIVE%\sSTOP.exe "NobleNet Portmapper"

REM sStop2
cd %INSTALL_DRIVE%
%INSTALL_DRIVE%\sSTOP.exe "HP OpenView Process Manager"


REM ****************************
REM ***     I H V  Tools     ***
REM ****************************

REM Product1 - Adaptec CIO Array

REM *************Remark the goto to enable an IHV*************
goto next1

cd %INSTALL_DRIVE%\domapps\adapcio\disk1
%INSTALL_DRIVE%\domapps\adapcio\disk1\isprep.exe %INSTALL_DRIVE%\domapps\adapcio\disk1\setupins.iss
cd %INSTALL_DRIVE%\domapps\adapcio\disk1
%INSTALL_DRIVE%\domapps\adapcio\disk1\setup.exe -SMS -noportmap -s -f1%temp%\setupins.iss

REM DRAC
:next1
goto next2

cd %INSTALL_DRIVE%\domapps\dracins
%INSTALL_DRIVE%\domapps\dracins\_instpgm.exe /B


REM PERC
:next2
goto next3

cd %INSTALL_DRIVE%\domapps\percins
%INSTALL_DRIVE%\domapps\percins\_instpgm.exe /B


REM  PERC2
:next3
goto next4

cd %INSTALL_DRIVE%\domapps\perc2\disk1
%INSTALL_DRIVE%\domapps\perc2\disk1\isprep.exe %INSTALL_DRIVE%\domapps\perc2\disk1\setupins.iss
cd %INSTALL_DRIVE%\domapps\perc2\disk1
%INSTALL_DRIVE%\domapps\perc2\disk1\setup.exe quiet %temp%\setupins.iss -SMS

REM IBM LAN DMI
:next4
goto next5

cd %INSTALL_DRIVE%\domapps\ibmnic
%INSTALL_DRIVE%\domapps\ibmnic\_instpgm.exe /B

REM Intel LAN DMI

:next5
goto next6
cd %INSTALL_DRIVE%\domapps\intelnic
%INSTALL_DRIVE%\domapps\intelnic\_instpgm.exe /B

REM PERC with security patch
:next6
goto end

if "%PERC_DRIVE%"=="" goto end
cd %PERC_DRIVE%\domapps\perc\disk1
%PERC_DRIVE%\domapps\perc\disk1\isprep.exe %PERC_DRIVE%\domapps\perc\disk1\stpinst.iss
cd %PERC_DRIVE%\domapps\perc\disk1
%PERC_DRIVE%\domapps\perc\disk1\setup.exe -noport -noreg -s -f1%temp%\stpinst.iss -SMS

:end
